eoNegExpGenerator(3)

NAME
eoNegExpGenerator - The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles.

SYNOPSIS

#include <eoRndGenerators.h>

Inherits eoRndGenerator< T >< T >.

  Public Member Functions
eoNegExpGenerator (T _mean=1.0, eoRng &_rng=rng)
T operator() (void)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
T mean
eoRng & negexp

Detailed Description

  template<class T = double> class eoNegExpGenerator< T >
The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles. The user can supply a mean.

Definition at line 137 of file eoRndGenerators.h.

Author

Generated automatically by Doxygen for EO from the source code.